Public Member Functions | Public Attributes

# IMediumFormat Interface Reference

The IMediumFormat interface represents a medium format. More...

List of all members.

## Public Member Functions
void | describeFileExtensions (out wstring[] extensions, out DeviceType[] type)
| Returns two arrays describing the supported file extensions.
void | describeProperties (out wstring[] names, out wstring[] description, out DataType[] types, out unsigned long[] flags, out wstring[] defaults)
| Returns several arrays describing the properties supported by this format.
## Public Attributes
readonly attribute wstring | id
| Identifier of this format.
readonly attribute wstring | name
| Human readable description of this format.
readonly attribute unsigned long | capabilities
| Capabilities of the format as a set of bit flags.

## Detailed Description

The IMediumFormat interface represents a medium format.

Each medium format has an associated backend which is used to handle media stored in this format. This interface provides information about the properties of the associated backend.

Each medium format is identified by a string represented by the id attribute. This string is used in calls like IVirtualBox::createHardDisk to specify the desired format.

The list of all supported medium formats can be obtained using ISystemProperties::mediumFormats.

See also:
  IMedium

Interface ID:
  `{9BD5B655-EA47-4637-99F3-AAD0948BE35B}`

## Member Function Documentation

void IMediumFormat::describeFileExtensions | ( | out wstring[] | extensions,
|  | out DeviceType[] | type |
| ) |  |  |

Returns two arrays describing the supported file extensions.

The first array contains the supported extensions and the seconds one the type each extension supports. Both have the same size.

Note that some backends do not work on files, so this array may be empty.

Parameters:

  | extensions | The array of supported extensions.
  | type | The array which indicates the device type for every given extension.

See also:
  IMediumFormat::capabilities

void IMediumFormat::describeProperties | ( | out wstring[] | names,
|  | out wstring[] | description,
|  | out DataType[] | types,
|  | out unsigned long[] | flags,
|  | out wstring[] | defaults |
| ) |  |  |

Returns several arrays describing the properties supported by this format.

An element with the given index in each array describes one property. Thus, the number of elements in each returned array is the same and corresponds to the number of supported properties.

The returned arrays are filled in only if the MediumFormatCapabilities_Properties flag is set. All arguments must be non-`null`.

Parameters:

  | names | Array of property names.
  | description | Array of property descriptions.
  | types | Array of property types.
  | flags | Array of property flags.
  | defaults | Array of default property values.

See also:
  DataType, DataFlags

## Member Data Documentation

readonly attribute wstring IMediumFormat::id

Identifier of this format.

The format identifier is a non-`null` non-empty ASCII string. Note that this string is case-insensitive. This means that, for example, all of the following strings:

              "VDI"
              "vdi"
              "VdI"

refer to the same medium format.

This string is used in methods of other interfaces where it is necessary to specify a medium format, such as IVirtualBox::createHardDisk.

readonly attribute wstring IMediumFormat::name

Human readable description of this format.

Mainly for use in file open dialogs.

readonly attribute unsigned long IMediumFormat::capabilities

Capabilities of the format as a set of bit flags.

For the meaning of individual capability flags see MediumFormatCapabilities.